;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                               ;
;                  The solution to Wishbringer                  ;
;                                                               ;
; NOTE: These are NOT hints, but a step-by-step account of how  ;
;                     to solve Wishbringer.                     ;
;                                                               ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



    Wishbringer  is Infocom's second easy adventure, designed for 
people who are new to adventuring. (The  first  was  Seastalker.)
Thus,  it  presents no major problems to experienced adventurers.
However, some people have still had real problems in getting this
one out, so I have written this solution file to help them out of 
their misery. Please don't use this as a substitute for  actually
trying to solve the adventure yourself.

    Also,  the  game has many many enjoyable but irrelevant areas 
which make for very good,  fun  adventuring.  You  are  depriving
yourself of a good time if you simply ignore all of these areas.

    During  the  adventure,  the  game itself recommends that you 
save your position at certain  points,  and  occasionally  offers
other  advice.  Take  heed of what the game says, so when it says
SAVE your position, do so.

    Finally, you  can  use  Wishbringer  to  make  seven  wishes.
However,  you  lose  a point for every wish that you use.  If you 
want to get a perfect score, then you shouldn't use any wishes at
all.

    You  start Wishbringer on a Hilltop, with someone calling you 
into the Post Office. All  direct  commands  to  Wishbringer  are
presented in square brackets. Here we go...

[IN]
*** Your score just increased to 1 point! ***

[LOOK AT POSTERS]

    (We  need  to  kill time so that Mr. Crisp will tell us about 
the envelope. You can do anything at all (except leave  the  Post
Office!) for one move.)

[GET ENVELOPE]
*** Your score just increased to 6 points! ***

[OUT,W,W]

    We want to go into the Cemetery.

[YES,N]

    Now wait for the Gravedigger to go away.

[WAIT,WAIT,WAIT,D,GET BONE]
*** Your score just increased to 7 points! ***

[U,S,E,E,E,GIVE BONE TO POODLE]
*** Your score just increased to 10 points! ***

[N]

    Now we meet Miss Voss. She has something important to give to
us.

[HELLO,TAKE NOTE]
*** Your score just increased to 13 points! *** 

    There  is  only  one other thing we really need to get on the 
way to the Magick Shoppe, and that is a gold coin for  use  later
on.

[N,GET COIN]
*** Your score just increased to 14 points! ***

[N,N,N,N,E,U]

    If  you  are  climbing this trail for the first time, do what 
the game says and make a map. If you don't, you  will  regret  it
later on.

[W,N,U,E,S,U]
*** Your score just increased to 15 points! ***

    We have now arrived at the Magick Shoppe. Now, we deliver the
letter.

[OPEN DOOR,IN,WAIT,WAIT,GIVE ENVELOPE]
*** Your score just increased to 20 points! ***

[OPEN ENVELOPE,READ LETTER]
*** Your score just increased to 21 points! ***

    Now we must wait for some real action.

[WAIT,TAKE CAN]
*** Your score just increased to 24 points! ***

    Let's ignore the hint to go.

[WAIT,WAIT]

    We are now back at the Cliff Edge, and the transformation has
taken place. We have a mission - let's go and find that cat.

[D,N,W,D,S,E,D]

    Made  it through the fog. Aren't you glad you made a map? The
first object we need is right here.

[BREAK BRANCH,GET BRANCH,W] 

    There's no need to pay the Troll. Anyway, we  need  the  coin
for something else.

[GIVE CAN TO TROLL]
*** Your score just increased to 27 points! ***

    But we haven't finished with the can just yet.

[GET CAN,SQUEEZE CAN,GET STONE]
*** Your score just increased to 32 points! ***

    Wishbringer! Let's go back into Festeron.

[OPEN GATE,S,S]

    From here, you may be randomly intercepted by the Boot Patrol
and  thrown  into jail. You will be given adequate warning of the
Boot Patrol's approach - if the Boot Patrol "sounds as if they're 
coming this way!", then you must move away  immediately.  If  you
can simply hear marching boots, then you are safe for the moment.
If  you  are  in danger of being captured by the Boot Patrol, you 
must move away immediately. You should  already  have  a  map  of
Festeron to refer to. Basically, all you have to do is to move in
a  wide  circle,  returning to your original position. Hopefully, 
the Boot Patrol will have gone elsewhere by then.  Alternatively,
you  could RESTORE from your last saved position. From now on, it
is a very good idea to SAVE your position frequently. By the way, 
the Boot Patrol will not capture you while  you  are  inside  any
building.

    OK, let's go and  free  the  Platypus  (Princess  Tasmania!).
Firstly, let's get some protection from ravenous mail-boxes.

[E,S]

    Surprise! A brilliant touch here by Infocom. (If this is your
first  adventure,  this  is  a  scene from the very first Infocom
adventure ever released, Zork I.)

[OPEN MAILBOX,GET LEAFLET,READ LEAFLET,WAIT]

    Is this cute or what? Better go and find the Princess.

[N,W,W,S] 

    We are back at the pit. You did leave it covered on  the  way
to the Magick Shoppe, didn't you?

[PUT BRANCH IN PIT,GET BRANCH
*** Your score just increased to 37 points! ***

[DIG IN THE SAND,GET WHISTLE]
*** Your score just increased to 40 points! ***

[DROP BRANCH AND CAN]

    Just getting rid of excess baggage.

[BLOW WHISTLE]

    Whoosh!

[W,WAIT,TAKE HAT]
*** Your score just increased to 41 points! ***

    Can you guess who the Hat is for?

[WAIT,BLOW WHISTLE,E,E,E]

    Let's go check out the movie.

[BUY TICKET]
*** Your score just increased to 44 points! ***

[IN,GIVE TICKET,IN]

    Hmmm, seems as if we can't see too much.

[SEARCH THEATRE,GET GLASSES]
*** Your score just increased to 47 points! ***

    We  don't  really  need  to  see  the movie, but let's see it
anyway.

[PUT ON GLASSES,WAIT,WAIT,WAIT,WAIT,WAIT]

    End of the show. Now let's go and find the owner of the hat.

[TAKE OFF GLASSES,OUT,OUT]

    Yes, we've seen the show, let's go.

[YES,W,N,N,E,E,GIVE HAT TO PELICAN] 
*** Your score just increased to 52 points! ***

    Take careful note of the word the  lighthouse  spells  out  -
it's  a  different 6-letter word every time. (Write it down to be
sure you remember it. It's essential for later on.) 

    Now, the last thing we have to do is to play the  machine  in
the  Video  Arcade.  Unfortunately,  we  need a token to play the 
machine, and the token is guarded by a piranha. Better  feed  the
piranha with something. Step one is to get arrested.

[W,W,S,W,IN,WAIT,WAIT]

    OK, now we're in a jail cell. We had better get out.

[GET ALL BUT BUNK]
*** Your score just increased to 55 points! ***

    The blanket will be useful to us.

[MOVE BUNK,D]

    Now we have escaped, we can find some food for the piranha.

[N,E]

    Shudder! A Grue's Nest. (Another lovely touch.)

[COVER GRUE WITH BLANKET]
*** Your score just increased to 58 points! ***

[OPEN REFRIGERATOR,GET EARTHWORM]
*** Your score just increased to 61 points! ***

    Let's get out of here.

[W,W,OPEN STUMP,U]

    We don't need the horseshoe. Let's just get the token.

[N,E,S,S,THROW WORM INTO FOUNTAIN,GET TOKEN]
*** Your score just increased to 64 points! ***

    Now that we have the token, we can play the video machine.

[E,E]

    If  you  want to see something really funny, WAIT around here 
for a while. If you have already seen it, then go  straight  into
the video arcade.

[S,PUT TOKEN IN SLOT]
*** Your score just increased to 65 points! ***

    It's  a good time to save the game, as Wishbringer itself has
suggested.

[MOVE JOYSTICK W,MOVE JOYSTICK W,MOVE JOYSTICK S,MOVE JOYSTICK S]

    This  game  is  actually  a  matter  transporter. We have now 
positioned it to transport us to beyond the Hellhound.  So  let's
go!

[PRESS BUTTON,YES,YES]
*** Your score just increased to 70 points! ***

    Now  to  enter  the  castle.  Type the word which the Pelican
revealed to you.

[XXXXXX]
*** Your score just increased to 73 points! ***

[IN] 

    In fact, this IS a trap, but that's OK as  we  need  to  fall
into this trap.

[WAIT]

    We don't want to be tortured, now do we? (Masochists need not
answer.)

[GIVE NOTE TO CRISP]

    Now  that  Mr. Crisp has gone, we had better get out of these
chains.

[GET LAB COAT,LOOK IN LAB COAT,GET KEY]
*** Your score just increased to 76 points! ***

[UNLOCK CHAINS WITH KEY]
*** Your score just increased to 77 points! ***

    Let the Princess go.

[PULL LEVER,GET NOTE]

    Let's get out of the castle.

[OPEN HATCH,U]

    But the drawbridge is closed.

[MOVE PAINTINGS,TURN CRANK]
*** Your score just increased to 78 points! *** 

    Now to do something which has a strong bearing on our  future
success.

[U,PUT ON GLASSES,GET BROOM,TURN OFF SECOND SWITCH]
*** Your score just increased to 81 points! ***

[D,TAKE OFF GLASSES,READ NOTE]
*** Your score just increased to 84 points! ***

    Well  whaddya know? How simple (and corny) can you get! Let's
get out of the castle while we still can.

[N,N,E]

    Now we know how to get past the Hellhound.

[ALEXIS, HEEL]
*** Your score just increased to 89 points! *** 

    The final destination is the Library, but we need  a  key  to
get in.

[OPEN DOOR,IN,GET KEY]
*** Your score just increased to 92 points! ***

[OUT,N,UNLOCK DOOR WITH THE STEEL KEY]
*** Your score just increased to 95 points! ***

    Now for the final few moves.

[IN,S]

    Don't worry, we have more important things to do right now.

[S,BREAK CASE WITH BROOM]

    This is it! That is Chaos!

[PUT STONE IN SCULPTURE,YES,YES]

    And lastly, we return Chaos to the old lady.

[KNOCK ON DOOR]


        CONGRATULATIONS! YOU HAVE COMPLETED WISHBRINGER.
